-- fade.lua	-- create fading flames

local fade = {}

function fade.load()
	fade.effect = love.graphics.newPixelEffect [[
		extern number value;
		vec4 effect(vec4 color, Image texture, vec2 texture_coords, vec2 pixel_coords)
			{
			vec4 pixel = Texel(texture, texture_coords);
			float avg = value;
			pixel.r = pixel.r+avg;
			pixel.g = pixel.g+avg;
			pixel.b = pixel.b+avg;
			return  pixel;
			}
			]]
	fade.value	= 0
	fade.dir	= -1
	fade.step	= 0.004
	end

function fade.draw()
	if show.fade then gr.setPixelEffect( fade.effect ) end
	end

function fade.update()
	fade.value		= fade.value + fade.dir * fade.step
	if fade.value	>  0.0 then fade.dir = -1 end
	if fade.value	< -0.7 then fade.dir =  1 end
	fade.effect:send("value", fade.value)
	end

return fade
