-- runner.lua

local runner = {}

function runner.load()
	Run = gr.newImage( 'images/runner.png' )
	local ref = 64 topY1 = 16 topY2 = 48 widthX = 8 heightY = 16
	run = {
		gr.newQuad( 0, topY1, widthX, heightY, ref, ref ),
		gr.newQuad( 8, topY1, widthX, heightY, ref, ref ),
		gr.newQuad(16, topY1, widthX, heightY, ref, ref ),
		gr.newQuad(24, topY1, widthX, heightY, ref, ref ),
		gr.newQuad(32, topY1, widthX, heightY, ref, ref ),
		gr.newQuad(40, topY1, widthX, heightY, ref, ref ),
		gr.newQuad(48, topY1, widthX, heightY, ref, ref ),
		gr.newQuad(56, topY1, widthX, heightY, ref, ref ),
		gr.newQuad( 0, topY2, widthX, heightY, ref, ref ),
		gr.newQuad( 8, topY2, widthX, heightY, ref, ref ),
		gr.newQuad(16, topY2, widthX, heightY, ref, ref ),
		gr.newQuad(24, topY2, widthX, heightY, ref, ref ),
		x		= 64,
		stepX	= 10,
		y		= screenHeight - 120,
		size	= 6,
		dir		= 1,
		limit	= 70,
		frame	= 1,
		step	= 1
		}
	end

function runner.draw()
	gr.drawq(Run, run[run.frame],run.x, 0.7*run.x-20,0,run.dir*run.size,run.size)
	end

function runner.update()
	run.step = run.step > 6 and 1 or run.step + 1	-- runner steps
	if run.step == 7 then							-- check if limit reached
		run.dir = run.x > screenWidth-run.limit and -1 or run.x < run.limit and 1 or run.dir
		run.x = run.x + run.dir * run.stepX
		run.frame = run.frame == #run and 1 or run.frame + 1
		end
	end

return runner
