-- spider.lua

local spider = {}

function spider.load()
	spider.image	= gr.newImage( 'images/spider.png' )
	spider.x		= spider.image:getWidth()/2
	spider.y		= spider.image:getHeight()/2
	spider.locx, spider.locy = 750, 50	-- position on screen
	spider.rot		= 0
	size			= 1					-- for spider, pig & help screen
	end

function spider.draw()
	spider.rot, spider.dist = rotateSpider( spider.locx, spider.locy, x, y )  -- orient spider to pig
	spider.size = 200 * size / spider.dist
	gr.draw(
		spider.image,					-- image
		spider.locx, spider.locy,		-- screen location
		spider.rot, 					-- rotation
		spider.size, spider.size,		-- scale
		spider.x, spider.y )			-- image origin
	end

function spider.update() end

function rotateSpider( x1, y1, x2, y2 )	-- keep spider facing pig
	dst		= floor( sqrt( ( x2 - x1 ) ^ 2 + ( y2 - y1 ) ^ 2 ) )
	if x1 > x2 then
		angle = tanh( (y1-y2)/(x1-x2) ) + pi
		else angle = pi / 2
		end
	return angle, dst
	end

return spider
